<?php

namespace App\Models\Students;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class Student extends Eloquent {

	protected $table = 'students';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];

	public function getAttendances()
	{
		return $this->hasMany('Attendance');
	}

	public function getKeywords()
	{
		return $this->belongsToMany('Keyword', 'att_keyword', 'student_id', 'keyword_id');
	}

}