<?php

namespace App\Models\Orgs;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class User extends Eloquent {

	protected $table = 'users';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];
	protected $fillable = array('bonus_limit');

	public function getInstitutionsResponsibleFor()
	{
		return $this->hasMany('Institution', 'responsible_id');
	}

	public function getEventFacts()
	{
		return $this->hasMany('Events');
	}

	public function getChallenges()
	{
		return $this->hasMany('Challenge');
	}

	public function getQuizes()
	{
		return $this->hasMany('Quiz');
	}

	public function getInstitution()
	{
		return $this->belongsTo('Institution');
	}

	public function getActivities()
	{
		return $this->hasMany('Activity');
	}

}